# netmsg.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/bufferedio.h>`

Go to the source code of this file.

## Constructors And Destructors

GWENHYWFAR_API void | GWEN_NetMsg_Attach (GWEN_NETMSG *msg)
GWENHYWFAR_API void | GWEN_NetMsg_free (GWEN_NETMSG *msg)
GWENHYWFAR_API GWEN_NETMSG * | GWEN_NetMsg_new (GWEN_TYPE_UINT32 bufferSize)

## Getters And Setters

GWENHYWFAR_API void | GWEN_NetMsg_DecrementSize (GWEN_NETMSG *msg, GWEN_TYPE_UINT32 offs)
GWENHYWFAR_API GWEN_BUFFER * | GWEN_NetMsg_GetBuffer (const GWEN_NETMSG *msg)
GWENHYWFAR_API GWEN_BUFFEREDIO * | GWEN_NetMsg_GetBufferedIO (const GWEN_NETMSG *msg)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_NetMsg_GetDB (const GWEN_NETMSG *msg)
GWENHYWFAR_API int | GWEN_NetMsg_GetProtocolMajorVersion (const GWEN_NETMSG *msg)
GWENHYWFAR_API int | GWEN_NetMsg_GetProtocolMinorVersion (const GWEN_NETMSG *msg)
GWENHYWFAR_API GWEN_TYPE_UINT32 | GWEN_NetMsg_GetSize (const GWEN_NETMSG *msg)
GWENHYWFAR_API void | GWEN_NetMsg_IncrementSize (GWEN_NETMSG *msg, GWEN_TYPE_UINT32 offs)
GWENHYWFAR_API void | GWEN_NetMsg_SetBuffer (GWEN_NETMSG *msg, GWEN_BUFFER *buf)
GWENHYWFAR_API void | GWEN_NetMsg_SetBufferedIO (GWEN_NETMSG *msg, GWEN_BUFFEREDIO *bio)
GWENHYWFAR_API void | GWEN_NetMsg_SetProtocolVersion (GWEN_NETMSG *msg, int pmajor, int pminor)
GWENHYWFAR_API void | GWEN_NetMsg_SetSize (GWEN_NETMSG *msg, GWEN_TYPE_UINT32 size)
GWENHYWFAR_API GWEN_BUFFER * | GWEN_NetMsg_TakeBuffer (GWEN_NETMSG *msg)
GWENHYWFAR_API GWEN_BUFFEREDIO * | GWEN_NetMsg_TakeBufferedIO (GWEN_NETMSG *msg)

## Typedefs

typedef GWEN_NETMSG | GWEN_NETMSG

## Functions

GWENHYWFAR_API void | GWEN_NetMsg_Dump (const GWEN_NETMSG *msg)

## Typedef Documentation

typedef struct GWEN_NETMSG GWEN_NETMSG

## Function Documentation

GWENHYWFAR_API void GWEN_NetMsg_Attach | ( | GWEN_NETMSG * | msg | ) |

GWENHYWFAR_API void GWEN_NetMsg_DecrementSize | ( | GWEN_NETMSG * | msg,
|  | GWEN_TYPE_UINT32 | offs
| ) |

| Decrements the size value by the given offset (will not go below zero).

GWENHYWFAR_API void GWEN_NetMsg_Dump | ( | const GWEN_NETMSG * | msg | ) |

GWENHYWFAR_API void GWEN_NetMsg_free | ( | GWEN_NETMSG * | msg | ) |

GWENHYWFAR_API GWEN_BUFFER* GWEN_NetMsg_GetBuffer | ( | const GWEN_NETMSG * | msg | ) |

| Returns a pointer to the buffer belonging to a message. This function does NOT relinquish ownership.

GWENHYWFAR_API GWEN_BUFFEREDIO* GWEN_NetMsg_GetBufferedIO | ( | const GWEN_NETMSG * | msg | ) |

GWENHYWFAR_API GWEN_DB_NODE* GWEN_NetMsg_GetDB | ( | const GWEN_NETMSG * | msg | ) |

| Returns a pointer to the DB belonging to a message. This function does NOT relinquish ownership.

GWENHYWFAR_API int GWEN_NetMsg_GetProtocolMajorVersion | ( | const GWEN_NETMSG * | msg | ) |

GWENHYWFAR_API int GWEN_NetMsg_GetProtocolMinorVersion | ( | const GWEN_NETMSG * | msg | ) |

GWENHYWFAR_API GWEN_TYPE_UINT32 GWEN_NetMsg_GetSize | ( | const GWEN_NETMSG * | msg | ) |

| Returns the value of the size variable. The meaning of this variable depends on the protocol this message belongs to.

GWENHYWFAR_API void GWEN_NetMsg_IncrementSize | ( | GWEN_NETMSG * | msg,
|  | GWEN_TYPE_UINT32 | offs
| ) |

| Increments the size value by the given offset (does not check for wrap-around).

GWENHYWFAR_API GWEN_NETMSG* GWEN_NetMsg_new | ( | GWEN_TYPE_UINT32 | bufferSize | ) |

GWENHYWFAR_API void GWEN_NetMsg_SetBuffer | ( | GWEN_NETMSG * | msg,
|  | GWEN_BUFFER * | buf
| ) |

| Replaces the internal buffer with the given one. Takes over ownership of the buffer.

GWENHYWFAR_API void GWEN_NetMsg_SetBufferedIO | ( | GWEN_NETMSG * | msg,
|  | GWEN_BUFFEREDIO * | bio
| ) |

| Replaces the internal bufferedIO with the given one. Takes over ownership of the bufferedIO.

GWENHYWFAR_API void GWEN_NetMsg_SetProtocolVersion | ( | GWEN_NETMSG * | msg,
|  | int | pmajor,
|  | int | pminor
| ) |

GWENHYWFAR_API void GWEN_NetMsg_SetSize | ( | GWEN_NETMSG * | msg,
|  | GWEN_TYPE_UINT32 | size
| ) |

GWENHYWFAR_API GWEN_BUFFER* GWEN_NetMsg_TakeBuffer | ( | GWEN_NETMSG * | msg | ) |

GWENHYWFAR_API GWEN_BUFFEREDIO* GWEN_NetMsg_TakeBufferedIO | ( | GWEN_NETMSG * | msg | ) |